Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.caucho.es
Class ESBeanWrapper

    java.lang.Object
      |
      +--com.caucho.es.ESBase
            |
            +--com.caucho.es.ESBeanWrapper

public class ESBeanWrapper
extends ESBase

Implementation class serving as the base for wrapped Java objects.

Field Summary
`IntMap` | `hasDispatch`
`protected static ESId` | `LENGTH`
`IntMap` | `methodDispatch`
`java.util.HashMap` | `methods`
`int` | `n`
`protected java.lang.String` | `name`
`int` | `set`
`IntMap` | `setDispatch`
`IntMap[]` | `subGets`
`IntMap[]` | `subSets`
`protected java.lang.Object` | `value`

Fields inherited from class com.caucho.es.ESBase
`DONT_DELETE, DONT_ENUM, esBase, esEmpty, esNull, esUndefined, READ_ONLY`

Constructor Summary
`protected` | `ESBeanWrapper()`

Method Summary
`ESBase` | `call(Call eval, int length)`
`ESBase` | `call(Call eval, int length, ESString key)`
`ESBase` | `call(Call eval, int length, int n)`
`ESBase` | `construct(Call eval, int length)`
`java.lang.Object` | `copy(java.util.HashMap refs)`
`protected ESBeanWrapper` | `dup()`
`protected ESBeanWrapper` | `dup(int set)`
`boolean` | `ecmaEquals(ESBase b)`
`ESBase` | `getProperty(ESString name)`
`int` | `getVersionId()`
`ESBase` | `hasProperty(ESString name)`
`boolean` | `toBoolean()`
`java.lang.Object` | `toJavaObject()`
`ESBase` | `toPrimitive(int hint)`
`ESString` | `toSource(IntMap map, boolean isLoopPath)`
`ESString` | `toStr()`
`ESBase` | `typeof()`
`ESBeanWrapper` | `wrap(java.lang.Object value)`
`ESBeanWrapper` | `wrapStatic()`

Methods inherited from class com.caucho.es.ESBase
`delete, getJavaType, getProperty, greaterThan, isBoolean, isNum, isString, keys, lessThan, plus, setProperty, setProperty, setProperty, toInt32, toJavaString, toNum, toObject, toPrimitive, toString, valueOf`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### LENGTH

    protected static ESId LENGTH

### set

    public int set

### hasDispatch

    public IntMap hasDispatch

### setDispatch

    public IntMap setDispatch

### subGets

    public IntMap[] subGets

### subSets

    public IntMap[] subSets

### methods

    public java.util.HashMap methods

### methodDispatch

    public IntMap methodDispatch

### value

    protected java.lang.Object value

### name

    protected java.lang.String name

### n

    public int n

Constructor Detail

### ESBeanWrapper

    protected ESBeanWrapper()

Method Detail

### getVersionId

    public int getVersionId()

### toStr

    public ESString toStr()
                   throws ESException

  Overrides:
    `toStr` in class `ESBase`

### getProperty

    public ESBase getProperty(ESString name)
                       throws java.lang.Exception

  Overrides:
    `getProperty` in class `ESBase`

### hasProperty

    public ESBase hasProperty(ESString name)
                       throws java.lang.Exception

  Overrides:
    `hasProperty` in class `ESBase`

### toSource

    public ESString toSource(IntMap map,
                             boolean isLoopPath)
                      throws ESException

  Overrides:
    `toSource` in class `ESBase`

### toPrimitive

    public ESBase toPrimitive(int hint)
                       throws ESException

  Overrides:
    `toPrimitive` in class `ESBase`

### toJavaObject

    public java.lang.Object toJavaObject()

  Overrides:
    `toJavaObject` in class `ESBase`

### toBoolean

    public boolean toBoolean()

  Overrides:
    `toBoolean` in class `ESBase`

### dup

    protected ESBeanWrapper dup()

### dup

    protected ESBeanWrapper dup(int set)

### wrap

    public ESBeanWrapper wrap(java.lang.Object value)

### wrapStatic

    public ESBeanWrapper wrapStatic()

### ecmaEquals

    public boolean ecmaEquals(ESBase b)

  Overrides:
    `ecmaEquals` in class `ESBase`

### copy

    public java.lang.Object copy(java.util.HashMap refs)

### typeof

    public ESBase typeof()

  Overrides:
    `typeof` in class `ESBase`

### call

    public ESBase call(Call eval,
                       int length,
                       int n)
                throws java.lang.Exception

### call

    public ESBase call(Call eval,
                       int length)
                throws java.lang.Exception

  Overrides:
    `call` in class `ESBase`

### call

    public ESBase call(Call eval,
                       int length,
                       ESString key)
                throws java.lang.Exception

  Overrides:
    `call` in class `ESBase`

### construct

    public ESBase construct(Call eval,
                            int length)
                     throws java.lang.Exception

  Overrides:
    `construct` in class `ESBase`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD